## golang-google-cloud 0.9.0

=== internal/rpcreplay/Makefile ===
# Copyright 2017 Google Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Makefile for building Go files from protos.

# Change these to match your environment.
PROTOC=$(HOME)/bin/protoc
PROTOC_GO_PLUGIN_DIR=$(GOPATH)/bin
PROTOBUF_REPO=$(HOME)/git-repos/protobuf

gen-protos:  sync-protobuf
	for d in proto/*; do \
	    PATH=$(PATH):$(PROTOC_GO_PLUGIN_DIR) \
	    $(PROTOC) --go_out=plugins=grpc:$$d \
	    -I $$d -I $(PROTOBUF_REPO)/src $$d/*.proto; \
	done


sync-protobuf:
	cd $(PROTOBUF_REPO); git pull

## golang-google-cloud 0.0~git20150613

=== debian/changelog ===
golang-google-cloud (0.0~git20150613-1) unstable; urgency=medium

  * Initial release (Closes: #788778)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 14 Jun 2015 00:21:22 +0200

=== debian/control ===
Source: golang-google-cloud
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-go.net-dev (>= 0.0+git20150226.3d87fd6)
#               golang-golang-x-oauth2-dev,
#               golang-google-grpc-dev,
#               golang-google-api-dev,
#               golang-goprotobuf-dev,
#               golang-google-appengine-dev
Standards-Version: 3.9.6
Homepage: http://google.golang.org/cloud
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-google-cloud.git;a=summary
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-google-cloud.git

Package: golang-google-cloud-compute-metadata-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-go.net-dev (>= 0.0+git20150226.3d87fd6),
Built-Using: ${misc:Built-Using}
Description: Google Cloud Platform APIs (only cloud/compute/metadata)
 This package contains only google.golang.org/cloud/compute/metadata, which is
 required by other packages (such as golang-golang-x-oauth2-dev), hence useful
 to split out to break circular dependencies.

#Package: golang-google-cloud-dev
#Architecture: all
#Depends: ${shlibs:Depends},
#         ${misc:Depends},
#         golang-go,
#         golang-go.net-dev (>= 0.0+git20150226.3d87fd6),
#         golang-golang-x-oauth2-dev,
#         golang-google-grpc-dev,
#         golang-google-api-dev,
#         golang-goprotobuf-dev,
#         golang-google-appengine-dev
#Built-Using: ${misc:Built-Using}
#Description: Google Cloud Platform APIs
# Package cloud contains Google Cloud Platform APIs related types and common
# functions.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := google.golang.org/cloud

export DH_GOLANG_BUILDPKG := google.golang.org/cloud/compute/metadata

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install $@ --destdir=debian/tmp

## golang-google-cloud 0.0~git20160413

=== debian/changelog ===
golang-google-cloud (0.0~git20160413-1) unstable; urgency=medium

  * Team upload
  * New upstream snapshot (Closes: #823475)
  * Build golang-google-compute-dev package
  * Standards-Version: 3.9.8
  * Use https for VCS-Browser field
  * Don't use Built-Using for -dev packages
  * Add docs file for both binary packages
  * Add examples

 -- Tim Potter <tpot@hpe.com>  Tue, 17 May 2016 12:15:42 +1000

=== debian/control ===
Source: golang-google-cloud
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-go.net-dev (>= 0.0+git20150226.3d87fd6),
               golang-golang-x-oauth2-dev,
               golang-google-api-dev (>= 0.0~git20160408~),
               golang-google-appengine-dev,
               golang-google-grpc-dev,
               golang-goprotobuf-dev
Standards-Version: 3.9.8
Homepage: http://google.golang.org/cloud
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-google-cloud.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-google-cloud.git

Package: golang-google-cloud-compute-metadata-dev
Architecture: all
Depends: golang-go,
         golang-go.net-dev (>= 0.0+git20150226.3d87fd6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Google Cloud Platform APIs (only cloud/compute/metadata)
 This package contains only google.golang.org/cloud/compute/metadata, which is
 required by other packages (such as golang-golang-x-oauth2-dev), hence useful
 to split out to break circular dependencies.

Package: golang-google-cloud-dev
Architecture: all
Depends: golang-go,
         golang-go.net-dev (>= 0.0+git20150226.3d87fd6),
         golang-golang-x-oauth2-dev,
         golang-google-api-dev,
         golang-google-appengine-dev,
         golang-google-cloud-compute-metadata-dev (= ${source:Version}),
         golang-google-grpc-dev,
         golang-goprotobuf-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Google Cloud Platform APIs
 Package cloud contains Google Cloud Platform APIs related types and common
 functions.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := google.golang.org/cloud

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_install:
	dh_install
	# Remove common files between g-g-c-compute-metadata-dev and g-g-c-dev
	for file in `cat debian/golang-google-cloud-compute-metadata-dev.install`; do \
		rm -v debian/golang-google-cloud-dev/$$file; \
	done
	# Remove empty directories
	rmdir debian/golang-google-cloud-dev/usr/share/gocode/src/google.golang.org/cloud/compute/metadata
	rmdir debian/golang-google-cloud-dev/usr/share/gocode/src/google.golang.org/cloud/compute
	# Remove duplicate copy of examples
	rm -r debian/golang-google-cloud-dev/usr/share/gocode/src/google.golang.org/cloud/examples

## golang-google-cloud 0.0~git20160615

=== debian/changelog ===
golang-google-cloud (0.0~git20160615-6) unstable; urgency=medium

  * Remove compatibility symlinks, as those clash with golang's rules about
    internal packages. Closes: 844074.
  * Instead, duplicate the source tree and replace all references to the old
    import path.
  * Depend on latest version of x/oauth2/google to avoid more circular dep
    problems.

 -- Martín Ferrari <tincho@debian.org>  Sat, 19 Nov 2016 05:43:11 +0000

golang-google-cloud (0.0~git20160615-5) unstable; urgency=medium

  * Use Xs-Go-Import-Path.
  * Try to simplify a bit the packaging.
  * Remove unneeded patch, instead install testdata.
  * Remove canonical import paths, so compatibility symlinks can be used.
  * Add compatibility symlinks for google.golang.org/cloud.
  * Update x/net package name.

 -- Martín Ferrari <tincho@debian.org>  Fri, 04 Nov 2016 17:22:49 +0000

golang-google-cloud (0.0~git20160615-4) unstable; urgency=medium

  * Add myself to Uploaders.
  * debian/control: Remove golang-go dependency from -dev package.
  * debian/control: Replace golang-go with golang-any in Build-Depends.
  * Increase timeouts in tests to avoid build failures. Closes: #840311.

 -- Martín Ferrari <tincho@debian.org>  Fri, 21 Oct 2016 17:42:30 +0000

golang-google-cloud (0.0~git20160615-3) unstable; urgency=medium

  * Team upload.
  * Fix bad install dependencies in d/control.

 -- Tim Potter <tpot@hpe.com>  Wed, 05 Oct 2016 15:44:09 +1100

golang-google-cloud (0.0~git20160615-2) unstable; urgency=medium

  * Team upload.
  * Fix bad B-D's in d/control.

 -- Tim Potter <tpot@hpe.com>  Tue, 27 Sep 2016 11:37:06 +1000

golang-google-cloud (0.0~git20160615-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Tim Potter ]
  * Newer upstream snapshot (Closes: #835742)

 -- Tim Potter <tpot@hpe.com>  Tue, 06 Sep 2016 12:18:36 +1000

=== debian/control ===
Source: golang-google-cloud
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-googleapis-gax-go-dev,
               golang-github-googleapis-proto-client-go-dev,
               golang-golang-x-oauth2-google-dev (>= 0.0~git20161103.0.36bc617-3~),
               golang-golang-x-net-dev (>= 0.0+git20150226~),
               golang-google-api-dev (>= 0.0~git20160408~),
               golang-google-appengine-dev,
               golang-google-grpc-dev,
               golang-goprotobuf-dev,
Standards-Version: 3.9.8
Homepage: http://google.golang.org/cloud
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-google-cloud.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-google-cloud.git
Xs-Go-Import-Path: google.golang.org/cloud

Package: golang-google-cloud-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         golang-github-googleapis-gax-go-dev,
         golang-github-googleapis-proto-client-go-dev,
         golang-golang-x-oauth2-google-dev (>= 0.0~git20161103.0.36bc617-3~),
         golang-golang-x-net-dev (>= 0.0+git20150226~),
         golang-google-api-dev,
         golang-google-appengine-dev,
         golang-google-cloud-compute-metadata-dev (= ${source:Version}),
         golang-google-grpc-dev,
         golang-goprotobuf-dev,
Description: Google Cloud Platform APIs
 Package cloud contains Google Cloud Platform APIs related types and common
 functions.

Package: golang-google-cloud-compute-metadata-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         golang-golang-x-net-dev (>= 0.0+git20150226~),
Description: Google Cloud Platform APIs (only cloud/compute/metadata)
 This package contains only google.golang.org/cloud/compute/metadata, which is
 required by other packages (such as golang-golang-x-oauth2-dev), hence useful
 to split out to break circular dependencies.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDE := examples/
export DH_GOLANG_INSTALL_EXTRA := datastore/testdata/ storage/testdata/

%:
	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)

IPATH := google.golang.org/cloud
NEWIPATH := cloud.google.com/go
BUILDDIR := $(CURDIR)/build

override_dh_auto_configure:
	dh_auto_configure
	# Remove examples.
	rm -vrf $(BUILDDIR)/src/$(IPATH)/examples
	# Remove symlink of already installed package (due to circular dep).
	for path in $(BUILDDIR)/src/$(NEWIPATH) \
	    `dirname $(BUILDDIR)/src/$(NEWIPATH)`; do \
		! test -L $$path || rm -vf $$path; \
	done
	# Duplicate source tree into new namespace, for compatibility during
	# transition.
	mkdir -vp $(BUILDDIR)/src/$(NEWIPATH)
	cp -avT $(BUILDDIR)/src/$(IPATH) $(BUILDDIR)/src/$(NEWIPATH)
	find $(BUILDDIR)/src/$(NEWIPATH) -name \*.go \
	    -exec sed -i 's#\<$(IPATH)\>#$(NEWIPATH)#' {} \;

override_dh_auto_build:
	dh_auto_build
	# Also build the duplicated tree.
	DH_GOPKG=$(NEWIPATH) dh_auto_build

override_dh_auto_test:
	dh_auto_test
	# Also test the duplicated tree.
	DH_GOPKG=$(NEWIPATH) dh_auto_test

override_dh_auto_install:
	dh_auto_install
	# Also install the duplicated tree.
	DH_GOPKG=$(NEWIPATH) dh_auto_install

PKG1 := golang-google-cloud-dev
PKG2 := golang-google-cloud-compute-metadata-dev
PREFIX := usr/share/gocode/src

override_dh_install:
	dh_install
	# Move compute/metadata files into separate package.
	for path in $(IPATH) $(NEWIPATH); do \
	    mkdir -vp debian/$(PKG2)/$(PREFIX)/$$path/internal; \
	    mv -v debian/$(PKG1)/$(PREFIX)/$$path/internal/cloud.go \
		debian/$(PKG2)/$(PREFIX)/$$path/internal; \
	    mv -v debian/$(PKG1)/$(PREFIX)/$$path/compute/ \
		debian/$(PKG2)/$(PREFIX)/$$path; \
	done

## golang-google-cloud 0.5.0

=== debian/changelog ===
golang-google-cloud (0.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on 32 bit. (Closes: #860699)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 27 Apr 2017 22:30:57 +0200

golang-google-cloud (0.5.0-1) unstable; urgency=medium

  * Start following upstream history (branch upstream-ng), using the new
    repository.
  * Switch to the new cloud.google.com/go tree, and provide a compatibility
    tree.
  * New upstream release. Closes: #846322
  * Update patches.
  * Update dependencies.
  * Ensure the transition from symlink to directory is handled correctly.
    Closes: #846799
  * Disable test which accesses the network.

 -- Martín Ferrari <tincho@debian.org>  Fri, 16 Dec 2016 18:32:29 +0000

=== debian/control ===
--- 
+++ 
@@ -9,35 +9,40 @@
                dh-golang (>= 1.17~),
                golang-any,
                golang-github-googleapis-gax-go-dev,
-               golang-github-googleapis-proto-client-go-dev,
                golang-golang-x-oauth2-google-dev (>= 0.0~git20161103.0.36bc617-3~),
                golang-golang-x-net-dev (>= 0.0+git20150226~),
-               golang-google-api-dev (>= 0.0~git20160408~),
+               golang-golang-x-time-dev,
+               golang-google-api-dev (>= 0.0~git20161128~),
                golang-google-appengine-dev,
+               golang-google-genproto-dev,
                golang-google-grpc-dev,
                golang-goprotobuf-dev,
 Standards-Version: 3.9.8
-Homepage: http://google.golang.org/cloud
+Homepage: https://cloud.google.com/go/home
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-google-cloud.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-google-cloud.git
-Xs-Go-Import-Path: google.golang.org/cloud
+Xs-Go-Import-Path: cloud.google.com/go
 
 Package: golang-google-cloud-dev
 Architecture: all
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          golang-github-googleapis-gax-go-dev,
-         golang-github-googleapis-proto-client-go-dev,
          golang-golang-x-oauth2-google-dev (>= 0.0~git20161103.0.36bc617-3~),
          golang-golang-x-net-dev (>= 0.0+git20150226~),
-         golang-google-api-dev,
+         golang-golang-x-time-dev,
+         golang-google-api-dev (>= 0.0~git20161128~),
          golang-google-appengine-dev,
          golang-google-cloud-compute-metadata-dev (= ${source:Version}),
+         golang-google-genproto-dev,
          golang-google-grpc-dev,
          golang-goprotobuf-dev,
 Description: Google Cloud Platform APIs
  Package cloud contains Google Cloud Platform APIs related types and common
  functions.
+ .
+ Provides both the old google.golang.org/cloud and the new cloud.google.com/go
+ trees.
 
 Package: golang-google-cloud-compute-metadata-dev
 Architecture: all
@@ -48,3 +53,6 @@
  This package contains only google.golang.org/cloud/compute/metadata, which is
  required by other packages (such as golang-golang-x-oauth2-dev), hence useful
  to split out to break circular dependencies.
+ .
+ Provides both the old google.golang.org/cloud and the new cloud.google.com/go
+ trees.

=== debian/rules ===
#!/usr/bin/make -f

# vision has new dependencies, skip for now.
export DH_GOLANG_EXCLUDES := examples/ cmd/go-cloud-debug-agent vision
export DH_GOLANG_INSTALL_EXTRA := bigtable/testdata datastore/testdata \
	storage/testdata vision/testdata

%:
	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)

OLDIPATH := google.golang.org/cloud
IPATH := cloud.google.com/go
BUILDDIR := $(CURDIR)/build

override_dh_auto_configure:
	# Prevent dh-golang from creating a symlink here.
	mkdir -p `dirname $(BUILDDIR)/src/$(OLDIPATH)`
	dh_auto_configure
	# Remove examples.
	rm -vrf $(BUILDDIR)/src/$(IPATH)/examples
	# Duplicate source tree into new namespace, for compatibility during
	# transition.
	rm -f $(BUILDDIR)/src/$(OLDIPATH)
	mkdir -vp $(BUILDDIR)/src/$(OLDIPATH)
	cp -avT $(BUILDDIR)/src/$(IPATH) $(BUILDDIR)/src/$(OLDIPATH)
	find $(BUILDDIR)/src/$(OLDIPATH) -name \*.go \
	    -exec sed -i 's#\<$(IPATH)\>#$(OLDIPATH)#' {} \;

override_dh_auto_build:
	dh_auto_build
	# Also build the duplicated tree.
	DH_GOPKG=$(OLDIPATH) dh_auto_build

override_dh_auto_test:
	dh_auto_test
	# Also test the duplicated tree.
	DH_GOPKG=$(OLDIPATH) dh_auto_test

override_dh_auto_install:
	dh_auto_install
	# Also install the duplicated tree.
	DH_GOPKG=$(OLDIPATH) dh_auto_install

PKG1 := golang-google-cloud-dev
PKG2 := golang-google-cloud-compute-metadata-dev
PREFIX := usr/share/gocode/src

override_dh_install:
	dh_install
	# Move compute/metadata files into separate package.
	for path in $(IPATH) $(OLDIPATH); do \
	    mkdir -vp debian/$(PKG2)/$(PREFIX)/$$path/internal; \
	    mv -v debian/$(PKG1)/$(PREFIX)/$$path/internal/cloud.go \
		debian/$(PKG2)/$(PREFIX)/$$path/internal; \
	    mv -v debian/$(PKG1)/$(PREFIX)/$$path/compute/ \
		debian/$(PKG2)/$(PREFIX)/$$path; \
	done

## golang-google-cloud 0.9.0

=== debian/changelog ===
golang-google-cloud (0.9.0-10) unstable; urgency=medium

  * Team upload.
  * Skip very flaky test (Closes: #907907)
    Thanks to Santiago Vila for the patch

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 14 Apr 2019 23:59:37 -0500

golang-google-cloud (0.9.0-9) unstable; urgency=high

  * Team upload.
  * Update golang-google-genproto-dev dependency to 0.0~git20190111.db91494
    (Closes: #921580)

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 06 Feb 2019 19:02:17 -0600

golang-google-cloud (0.9.0-8) unstable; urgency=high

  * Team upload.
  * Remove speech/apiv1beta as it has been removed upstream (Closes: #920009)
  * Add patches to fix build failures:
    * bigtable client changes
    * spanner proto changes and tests
    * profiler mock change
  * Add dependency on golang-github-google-go-cmp-dev to allow for a test to
    be backported

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 05 Feb 2019 02:23:07 -0600

golang-google-cloud (0.9.0-7) unstable; urgency=medium

  * Team upload.
  * Bump golang-google-api-dev in -dev Depends.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 21 Sep 2018 14:29:08 +0800

golang-google-cloud (0.9.0-6) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Shengjing Zhu ]
  * Update team mail address to team+pkg-go@tracker.debian.org.
  * Update Standards-Version to 4.2.1. (no changes)
  * Update debhelper and compat to 11.
  * Add patch to fix build with golang-google-api-dev 0.0~git20180916.19ff876
  * Bump golang-google-api-dev to 0.0~git20180916.19ff876.
  * Remove examples, no longer provided by upstream.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 21 Sep 2018 02:53:24 +0800

golang-google-cloud (0.9.0-5) unstable; urgency=medium

  * debian/patches: Fix typo.
  * Fix racy spanner test. Closes: #891356

 -- Martín Ferrari <tincho@debian.org>  Mon, 26 Feb 2018 13:30:54 +0000

golang-google-cloud (0.9.0-4) unstable; urgency=high

  * Fix FTBFS with golang 1.10. Closes: #890938.
  * Bump Standards-Vesion with no changes.

 -- Martín Ferrari <tincho@debian.org>  Sat, 24 Feb 2018 11:02:49 +0000

golang-google-cloud (0.9.0-3) unstable; urgency=medium

  * Stop using pristine-tar.
  * Backport fix to protobuf changes in golang-google-genproto-dev.
    Closes: 884406.

 -- Martín Ferrari <tincho@debian.org>  Thu, 04 Jan 2018 11:49:56 +0000

golang-google-cloud (0.9.0-2) unstable; urgency=high

  * Disable more flaky tests, as package is still failing to build some times.

 -- Martín Ferrari <tincho@debian.org>  Wed, 20 Sep 2017 12:33:09 +0000

golang-google-cloud (0.9.0-1) unstable; urgency=medium

  [ Martín Ferrari ]
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Mark package as autopkgtest-able.
  * debian/control: Remove unneded versioned deps.
  * debian/copyright: Format uses http protocol instead of https.
  * Add watch file.

  [ Shengjing Zhu ]
  * New upstream release (Closes: #873514)
  * Refresh patches
    + Drop 0001-Bug#840311-fix-test-timeouts.patch
    + Drop 0002-Failing_test.patch
    + Rework patch that disable network access in testing
  * Update new Build-Depends
    + Add golang-github-golang-mock-dev Build-Depends
    + Bump golang-google-grpc-dev to 1.6.0
    + Bump golang-github-googleapis-gax-go-dev to 0.0~git20170902.8c160ca
    + Bump golang-google-api-dev to 0.0~git20170907.b1ecfb3
  * Update compat and dh to 10
  * Update pkg-go team name
  * Change priority to optional
  * No more internal/cloud.go in golang-google-cloud-compute-metadata-dev
  * Run short test only

 -- Martín Ferrari <tincho@debian.org>  Wed, 20 Sep 2017 09:02:31 +0000

=== debian/control ===
Source: golang-google-cloud
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-golang-mock-dev (>= 1.0.0),
               golang-github-googleapis-gax-go-dev (>= 0.0~git20170902.8c160ca),
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-time-dev,
               golang-google-api-dev (>= 0.0~git20180916.19ff876~),
               golang-google-appengine-dev,
               golang-google-genproto-dev (>= 0.0~git20190111.db91494~),
               golang-google-grpc-dev (>= 1.6.0),
               golang-goprotobuf-dev,
               golang-github-google-go-cmp-dev,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-cloud
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-cloud.git
Homepage: https://cloud.google.com/go/home
Xs-Go-Import-Path: cloud.google.com/go

Package: golang-google-cloud-dev
Architecture: all
Depends: golang-github-golang-mock-dev (>= 1.0.0),
         golang-github-googleapis-gax-go-dev (>= 0.0~git20170902.8c160ca),
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-google-dev,
         golang-golang-x-time-dev,
         golang-google-api-dev (>= 0.0~git20180916.19ff876~),
         golang-google-appengine-dev,
         golang-google-cloud-compute-metadata-dev (= ${source:Version}),
         golang-google-genproto-dev (>= 0.0~git20190111.db91494~),
         golang-google-grpc-dev (>= 1.6.0),
         golang-goprotobuf-dev,
         golang-github-google-go-cmp-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Google Cloud Platform APIs
 Package cloud contains Google Cloud Platform APIs related types and common
 functions.
 .
 Provides both the old google.golang.org/cloud and the new cloud.google.com/go
 trees.

Package: golang-google-cloud-compute-metadata-dev
Architecture: all
Depends: golang-golang-x-net-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Google Cloud Platform APIs (only cloud/compute/metadata)
 This package contains only google.golang.org/cloud/compute/metadata, which is
 required by other packages (such as golang-golang-x-oauth2-dev), hence useful
 to split out to break circular dependencies.
 .
 Provides both the old google.golang.org/cloud and the new cloud.google.com/go
 trees.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
 # vision has new dependencies, skip for now.
-export DH_GOLANG_EXCLUDES := examples/ cmd/go-cloud-debug-agent vision
+export DH_GOLANG_EXCLUDES := cmd/go-cloud-debug-agent vision speech/apiv1beta1
+export DH_GOLANG_EXCLUDES_ALL := 1
 export DH_GOLANG_INSTALL_EXTRA := bigtable/testdata datastore/testdata \
 	storage/testdata vision/testdata
 
@@ -16,8 +17,6 @@
 	# Prevent dh-golang from creating a symlink here.
 	mkdir -p `dirname $(BUILDDIR)/src/$(OLDIPATH)`
 	dh_auto_configure
-	# Remove examples.
-	rm -vrf $(BUILDDIR)/src/$(IPATH)/examples
 	# Duplicate source tree into new namespace, for compatibility during
 	# transition.
 	rm -f $(BUILDDIR)/src/$(OLDIPATH)
@@ -32,9 +31,9 @@
 	DH_GOPKG=$(OLDIPATH) dh_auto_build
 
 override_dh_auto_test:
-	dh_auto_test
+	dh_auto_test -- -short
 	# Also test the duplicated tree.
-	DH_GOPKG=$(OLDIPATH) dh_auto_test
+	DH_GOPKG=$(OLDIPATH) dh_auto_test -- -short
 
 override_dh_auto_install:
 	dh_auto_install
@@ -49,9 +48,7 @@
 	dh_install
 	# Move compute/metadata files into separate package.
 	for path in $(IPATH) $(OLDIPATH); do \
-	    mkdir -vp debian/$(PKG2)/$(PREFIX)/$$path/internal; \
-	    mv -v debian/$(PKG1)/$(PREFIX)/$$path/internal/cloud.go \
-		debian/$(PKG2)/$(PREFIX)/$$path/internal; \
+	    mkdir -vp debian/$(PKG2)/$(PREFIX)/$$path/; \
 	    mv -v debian/$(PKG1)/$(PREFIX)/$$path/compute/ \
 		debian/$(PKG2)/$(PREFIX)/$$path; \
 	done

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?v?([^\/]+)\.tar\.gz/golang-google-cloud-$1.tar.gz/,\
dversionmangle=s/\+ds\d*$//,uversionmangle=s/rc/~rc/" \
    https://github.com/GoogleCloudPlatform/google-cloud-go/tags \
    (?:.*/)?v?(\d[\d\.]*(?:rc\d*)?)\.tar\.gz

## golang-google-cloud 0.43.0

=== debian/changelog ===
golang-google-cloud (0.43.0-1) unstable; urgency=medium

  * New upstream version 0.43.0
  * Fix typo in debian/gbp.conf: upstream+ng → upstream-ng
  * Change "Xs-Go-Import-Path" to "XS-Go-Import-Path" in debian/control
  * Update debian/watch
  * Add myself to the list of Uploaders
  * Apply "cme fix dpkg" fixes:
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.4.0 (no change)
  * Update dependencies according to go.mod
  * Update and simplify DH_GOLANG_INSTALL_EXTRA variable in debian/rules
    with the help of dh-golang (>= 1.31~)
  * Update DH_GOLANG_EXCLUDES: unexclude "vision"
    and exclude "pubsub/internal/longtest"
  * No longer install AUTHORS and CONTRIBUTORS as docs
    because these files have been removed upstream in commit 2a23725
  * Remove all debian/patches files from version 0.9.0
  * Include our own copy of rsc.io/binaryregexp 0.2.0 in vendor/
    until we have golang-rsc-binaryregexp properly packaged for Debian
  * Add Lintian overrides for source-is-missing for upstream
    cmd/go-cloud-debug-agent/internal/debug binary object testdata
  * Replace dpkg-maintscript-helper symlink_to_dir calls in
    golang-google-cloud-compute-metadata-dev.{preinst,postinst,postrm}
    with debian/golang-google-cloud-compute-metadata-dev.maintscript.
    Fix Lintian maintainer-script-should-not-use-dpkg-maintscript-helper
    warnings.

 -- Anthony Fok <foka@debian.org>  Fri, 02 Aug 2019 02:07:11 -0600

=== debian/control ===
Source: golang-google-cloud
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang (>= 1.31~),
               golang-any,
               golang-github-golang-mock-dev (>= 1.3.1~),
               golang-github-google-btree-dev,
               golang-github-google-martian-dev,
               golang-github-google-pprof-dev,
               golang-github-googleapis-gax-go-dev (>= 2.0.4~),
               golang-go.opencensus-dev,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-time-dev,
               golang-google-api-dev (>= 0.7.0~),
               golang-google-genproto-dev (>= 0.0~git20190716.c506a9f~),
               golang-google-grpc-dev (>= 1.21.1~),
               golang-goprotobuf-dev,
               golang-github-google-go-cmp-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-cloud
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-cloud.git
Homepage: https://cloud.google.com/go/home
XS-Go-Import-Path: cloud.google.com/go

Package: golang-google-cloud-dev
Architecture: all
Depends: golang-github-golang-mock-dev (>= 1.3.1~),
         golang-github-googleapis-gax-go-dev (>= 2.0.4~),
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-google-dev,
         golang-golang-x-time-dev,
         golang-google-api-dev (>= 0.0~git20180916.19ff876~),
         golang-google-cloud-compute-metadata-dev (= ${source:Version}),
         golang-google-genproto-dev (>= 0.0~git20190716.c506a9f~),
         golang-google-grpc-dev (>= 1.21.1~),
         golang-goprotobuf-dev,
         golang-github-google-go-cmp-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Google Cloud Platform APIs
 Package cloud contains Google Cloud Platform APIs related types and common
 functions.
 .
 Provides both the old google.golang.org/cloud and the new cloud.google.com/go
 trees.

Package: golang-google-cloud-compute-metadata-dev
Architecture: all
Depends: golang-golang-x-net-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Google Cloud Platform APIs (only cloud/compute/metadata)
 This package contains only google.golang.org/cloud/compute/metadata, which is
 required by other packages (such as golang-golang-x-oauth2-dev), hence useful
 to split out to break circular dependencies.
 .
 Provides both the old google.golang.org/cloud and the new cloud.google.com/go
 trees.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-google-cloud-$1.tar.gz%" \
    https://github.com/googleapis/google-cloud-go/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## golang-google-cloud 0.49.0

=== debian/changelog ===
golang-google-cloud (0.49.0-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * dev: fixed "golang-google-api-dev" dependency versioning.

  [ Anthony Fok ]
  * New upstream version 0.49.0
  * Update matching-pattern in debian/watch so that it would match,
    for example, v0.43.0 instead of logging/v1.0.0.
    See https://code-review.googlesource.com/c/gocloud/+/41530
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Bump Standards-Version to 4.5.0 (no change)
  * Add "Rules-Requires-Root: no" to debian/control
  * Update dependencies as per go.mod
  * Add 0003-spanner-session-client-should-return-Spanner-errors.patch
    from upstream to prevent TestBatchCreateSessions_WithTimeout error.
    See https://github.com/googleapis/google-cloud-go/issues/1719#issuecomment-571797058

 -- Anthony Fok <foka@debian.org>  Thu, 27 Feb 2020 05:48:29 -0700

=== debian/control ===
--- 
+++ 
@@ -12,37 +12,42 @@
                golang-any,
                golang-github-golang-mock-dev (>= 1.3.1~),
                golang-github-google-btree-dev,
+               golang-github-google-go-cmp-dev (>= 0.3.0~),
                golang-github-google-martian-dev,
                golang-github-google-pprof-dev,
-               golang-github-googleapis-gax-go-dev (>= 2.0.4~),
-               golang-go.opencensus-dev,
+               golang-github-googleapis-gax-go-dev (>= 2.0.5~),
+               golang-go.opencensus-dev (>= 0.22.0~),
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-time-dev,
-               golang-google-api-dev (>= 0.7.0~),
-               golang-google-genproto-dev (>= 0.0~git20190716.c506a9f~),
+               golang-google-api-dev (>= 0.9.0~),
+               golang-google-genproto-dev (>= 0.0~git20190911.1774047~),
                golang-google-grpc-dev (>= 1.21.1~),
-               golang-goprotobuf-dev,
-               golang-github-google-go-cmp-dev
-Standards-Version: 4.4.0
+               golang-goprotobuf-dev (>= 1.3.2~)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-google-cloud
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-google-cloud.git
 Homepage: https://cloud.google.com/go/home
+Rules-Requires-Root: no
 XS-Go-Import-Path: cloud.google.com/go
 
 Package: golang-google-cloud-dev
 Architecture: all
 Depends: golang-github-golang-mock-dev (>= 1.3.1~),
+         golang-github-google-btree-dev,
+         golang-github-google-go-cmp-dev (>= 0.3.0~),
+         golang-github-google-martian-dev,
+         golang-github-google-pprof-dev,
          golang-github-googleapis-gax-go-dev (>= 2.0.4~),
+         golang-go.opencensus-dev (>= 0.22.0~),
          golang-golang-x-net-dev,
          golang-golang-x-oauth2-google-dev,
          golang-golang-x-time-dev,
-         golang-google-api-dev (>= 0.0~git20180916.19ff876~),
+         golang-google-api-dev (>= 0.9.0~),
          golang-google-cloud-compute-metadata-dev (= ${source:Version}),
-         golang-google-genproto-dev (>= 0.0~git20190716.c506a9f~),
+         golang-google-genproto-dev (>= 0.0~git20190911.1774047~),
          golang-google-grpc-dev (>= 1.21.1~),
-         golang-goprotobuf-dev,
-         golang-github-google-go-cmp-dev,
+         golang-goprotobuf-dev (>= 1.3.2~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Google Cloud Platform APIs

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #!/usr/bin/make -f
 
-# vision has new dependencies, skip for now.
-export DH_GOLANG_EXCLUDES := cmd/go-cloud-debug-agent vision speech/apiv1beta1
+# pubsub/internal/longtest has "no non-test Go files" error and is thus excluded
+export DH_GOLANG_EXCLUDES := cmd/go-cloud-debug-agent pubsub/internal/longtest
 export DH_GOLANG_EXCLUDES_ALL := 1
-export DH_GOLANG_INSTALL_EXTRA := bigtable/testdata datastore/testdata \
-	storage/testdata vision/testdata
+export DH_GOLANG_INSTALL_EXTRA := storage/internal/test
 
 %:
 	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)

## golang-google-cloud 0.56.0

=== rpcreplay/Makefile ===
# Copyright 2017 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Makefile for building Go files from protos.

# Change these to match your environment.
PROTOC=$(HOME)/bin/protoc
PROTOC_GO_PLUGIN_DIR=$(GOPATH)/bin

# The repo github.com/google/protobuf.
PROTOBUF_REPO=$(HOME)/git-repos/google/protobuf

gen-protos:  sync-protobuf
	for d in proto/*; do \
	    PATH=$(PATH):$(PROTOC_GO_PLUGIN_DIR) \
	    $(PROTOC) --go_out=plugins=grpc:$$d \
	    -I $$d -I $(PROTOBUF_REPO)/src $$d/*.proto; \
	done


sync-protobuf:
	cd $(PROTOBUF_REPO); git pull

=== firestore/internal/Makefile ===
# Build doc.go from template and snippets.

SHELL=/bin/bash

../doc.go: build doc-snippets.go doc.template snipdoc.awk
	@tmp=$$(mktemp) && \
	awk -f snipdoc.awk doc-snippets.go doc.template > $$tmp && \
	chmod +w $@ && \
	mv $$tmp $@ && \
	chmod -w $@
	@echo "wrote $@"

.PHONY: build

build:
	go build doc-snippets.go

=== debian/changelog ===
golang-google-cloud (0.56.0-6) unstable; urgency=medium

  * Team upload
  * Fix FTBFS issues on 32bit systems (Closes: #1103084):
    - Cherry-pick upstream fix
    - Comment out skipped test body that fails to compile
    - Skip another test that would be too much effort to fix for 32bit systems

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 21 Apr 2025 15:56:46 +0000

golang-google-cloud (0.56.0-5) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 26 Jul 2024 06:59:23 +0200

golang-google-cloud (0.56.0-4) experimental; urgency=medium

  * Team upload
  * Compile against grpc 1.64, closes: #1074133
    Disabled a bunch of packages that no longer build with the newer grpcproto:
    - asset/v1beta
    - cloudbuild/apiv1
    - spanner
    - expr/apiv1alpha1

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 28 Jun 2024 17:53:49 -0400

golang-google-cloud (0.56.0-3) unstable; urgency=medium

  * Team upload

  [ Mathias Gibbens ]
  * d/control:
    - Replace transitional golang-goprotobuf-dev package
    - Allow golang-github-golang-protobuf-1-5-dev as optional Depends
    - Add Multi-Arch: foreign
    - Bump Standards-Version (no changes needed)
  * Cleanup lintian overrides

  [ Shengjing Zhu ]
  * Fix uscan watch

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 04 Jan 2023 22:53:30 +0000

golang-google-cloud (0.56.0-2) unstable; urgency=medium

  * Team upload.
  * Backport testEqual function to fix tests with grpc-go 1.32.0
  * Drop google.golang.org/cloud compatibility
  * Update Section to golang
  * Update Standards-Version to 4.6.1 (no changes)
  * Bump debhelper compat to 13
  * Exclude busybench and benchwrapper binaries when building

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 29 Oct 2022 19:05:37 +0800

golang-google-cloud (0.56.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.56.0 (Closes: #954532)
  * Remove 0003-spanner-session-client-should-return-Spanner-errors.patch.
    Applied in new version
  * Bump golang-google-genproto-dev to 0.0~git20200413.b5235f6
  * Excludes all cmd packages
  * Bump golang-google-api-dev to 0.21.0
  * Remove vendor rsc.io/binaryregexp
  * Add patch to skip tests which need network access

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 15 Apr 2020 03:46:30 +0800

=== debian/rules ===
#!/usr/bin/make -f

# pubsub/internal/longtest has "no non-test Go files" error and is thus excluded
export DH_GOLANG_EXCLUDES := \
	asset/v1beta1 asset/apiv1beta1 \
	cloudbuild/apiv1 \
	spanner \
	expr/apiv1alpha1 \
	cmd busybench benchwrapper \
	pubsub/internal/longtest \
	internal/gapicgen
export DH_GOLANG_INSTALL_EXTRA := storage/internal/test

%:
	dh $@ --buildsystem=golang --with=golang --builddir=_build


override_dh_auto_test:
	dh_auto_test -- -short

IPATH := cloud.google.com/go
PKG1 := golang-google-cloud-dev
PKG2 := golang-google-cloud-compute-metadata-dev
PREFIX := usr/share/gocode/src

override_dh_install:
	dh_install
	# Move compute/metadata files into separate package.
	mkdir -vp debian/$(PKG2)/$(PREFIX)/$(IPATH)/
	mv -v debian/$(PKG1)/$(PREFIX)/$(IPATH)/compute/ debian/$(PKG2)/$(PREFIX)/$(IPATH)

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/googleapis/google-cloud-go \
refs/tags/v?@ANY_VERSION@ debian
